*================================================================
* Ansys CMA(Chip Model Analyzer) Export Model Deck
* Generated at Wed Jun 26 02:36:25 2019
* 
* Copyright (c) 2002-2019 ANSYS, Inc.
*       For more information contact:
*       ANSYS, Inc.
*       2645 Zanker Road
*       San Jose CA 95134
*       www.ansys.com
*       rhcsm@ansys.com
*================================================================
* Run directory: /home/mwu/CMA/xxx_evl_7/cpm/import_cpm1/export_cpm/manual_cpm2/manual_cpm1_Export.sp
* Input CPM path: /home/mwu/CMA/xxx_evl_7/cpm/import_cpm1/demo_lumped_balanced_vcd_laplace.sp
*****************************************************************
* Selected Power Net Number: 1
*****************************************************************
* Selected Power Net: VDD_15
* Envelop info: 
* Max current = 0.456560 A
* Min current = 0.000000 A
* Average current = 0.414885 A
*=================================================================

.subckt adsPowerModel_manual_cpm1
+ PAR_0_0_VDD_15 PAR_0_0_VSS

.INCLUDE "./demo_lumped_balanced_vcd_laplace.sp"

*---- remove RC network
*Xpdn
*+ PAR_0_0_VDD_15 PAR_0_0_VSS
*+ PowerModel

Xpdn_Envelop_manual_cpm1
+ PAR_0_0_VDD_15_manual_cpm1 PAR_0_0_VSS_manual_cpm1
+ adsPowerModel

VShortPAR_0_0_VSS_manual_cpm1 0 PAR_0_0_VSS_manual_cpm1 0
VPAR_0_0_VDD_15_manual_cpm1_PAR_0_0_VSS_manual_cpm1 PAR_0_0_VSS_manual_cpm1 PAR_0_0_VDD_15_manual_cpm1 0

*---- jerry:reduce 2 order for time 
Icursig_VDD_15_envelop VDD_15_envelop 0 pwl(
+ 0ps	0.000000e+00
+ 100000ps	0.000000e+00
+ 101000ps	4.565600e-01
+ 2101000ps	4.565600e-01
+ 2102000ps	0.000000e+00
+ 2202000ps	0.000000e+00
+ 2302000ps	0.000000e+00
+ 2303000ps	4.565600e-01
+ 4303000ps	4.565600e-01
+ 4304000ps	0.000000e+00
+ 4404000ps	0.000000e+00
+ 4504000ps	0.000000e+00
+ 4505000ps	4.565600e-01
+ 6505000ps	4.565600e-01
+ 6506000ps	0.000000e+00
+ 6606000ps	0.000000e+00
+ 6706000ps	0.000000e+00
+ 6707000ps	4.565600e-01
+ 8707000ps	4.565600e-01
+ 8708000ps	0.000000e+00
+ 8808000ps	0.000000e+00
+ R=0)

VVDD_15_envelop VDD_15_envelop 0 0

GcmaPAR_0_0_VDD_15_PAR_0_0_VSS PAR_0_0_VDD_15 PAR_0_0_VSS cur='(I(VPAR_0_0_VDD_15_manual_cpm1_PAR_0_0_VSS_manual_cpm1))*I(Icursig_VDD_15_envelop)/(0.45656)'

.ends
